%define oname	epc

%define api		1.0
%define major		3
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname %{oname} %{api} -d 

%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Easy Publish and Consume library
Name:		libepc
Version:	0.4.4
Release:	%mkrel 6
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
BuildRequires:	intltool
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(avahi-ui) >= 0.6
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6
BuildRequires:	pkgconfig(gnutls) >= 1.4
BuildRequires:	pkgconfig(uuid) >= 1.36
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.10

%description
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package i18n
Summary:	Easy Publish and Consume library
Group:		System/Libraries

%description i18n
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{libname}
Group:		System/Libraries
Summary:	Easy Publish and Consume library
Requires:	%{name}-i18n = %{version}-%{release}

%description -n %{libname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%package -n %{develname}
Group:		Development/C
Summary:	Easy Publish and Consume library
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Conflicts:	%{mklibname %{oname} -d} < 0.4.0

%description -n %{develname}
The Easy Publish and Consume library provides an easy method to:

* publish data per HTTPS
* announce that information via DNS-SD
* find that information
* and finally consume it

You can use this library as key/value store published to the network,
using encryption, authentication and service discovery.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/libepc*.la

%find_lang %{name}

%check
#gw make check needs a running avahi daemon
#make check

%files i18n -f %{name}.lang
%files -n %{libname}
%doc README
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}-ui-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS ChangeLog AUTHORS
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}
%{_libdir}/libepc-%{api}.so
%{_libdir}/libepc-ui-%{api}.so
%{_libdir}/pkgconfig/libepc-%{api}.pc
%{_libdir}/pkgconfig/libepc-ui-%{api}.pc
%{_includedir}/libepc-%{api}
%{_includedir}/libepc-ui-%{api}


%changelog
* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.4.4-6.mga6
+ Revision: 921815
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-5.mga5
+ Revision: 741033
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-4.mga5
+ Revision: 681440
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.4-3.mga4
+ Revision: 506935
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 357051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 fwang <fwang> 0.4.4-1.mga2
+ Revision: 203559
- new version 0.4.4

* Tue Nov 22 2011 fwang <fwang> 0.4.3-1.mga2
+ Revision: 170731
- new version 0.4.3

* Thu Oct 13 2011 wally <wally> 0.4.2-1.mga2
+ Revision: 154648
- new version 0.4.2
- drop upstream applied patch

* Fri Sep 30 2011 wally <wally> 0.4.1-1.mga2
+ Revision: 150515
- new version 0.4.1
- add P0 from upstream (avoid use of deprecated G_CONST_RETURN)
- new version 0.4.0
- new major 3
- fix devel package name
- clean .spec

  + fwang <fwang>
    - rebuild for new gnutls

* Tue Feb 15 2011 ahmad <ahmad> 0.3.11-3.mga1
+ Revision: 52028
- drop old/unneeded scriptlets
- imported package libepc

